com.avaya.deskphoneservices

## Class DeskPhoneSettingsNames

- java.lang.Object
- - com.avaya.deskphoneservices.DeskPhoneSettingsNames

-     public final class DeskPhoneSettingsNames
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_ACS_ENABLED`
    `static java.lang.String` | `KEY_ACS_SSO`
    `static java.lang.String` | `KEY_ACTIVE_SDK_PHONE_APP`
    `static java.lang.String` | `KEY_ESM_ENABLED`
    `static java.lang.String` | `KEY_ESM_SSO`
    `static java.lang.String` | `KEY_EWS_ENABLED`
    `static java.lang.String` | `KEY_EWS_SSO`
    `static java.lang.String` | `KEY_PKCS12_CERTIFICATE`
    `static java.lang.String` | `KEY_PKCS12_PASSWORD`
    `static java.lang.String` | `KEY_SIP_CONTROLLER`
    `static java.lang.String` | `KEY_SIP_DOMAIN`
    `static java.lang.String` | `KEY_SIP_HA1`
    `static java.lang.String` | `KEY_SIP_PASSWORD`
    `static java.lang.String` | `KEY_SIP_USERNAME`
    `static java.lang.String` | `KEY_SSO`
    `static java.lang.String` | `KEY_SSO_PASSWORD`
    `static java.lang.String` | `KEY_SSO_USERNAME`
    `static java.lang.String` | `KEY_UPS_ENABLED`
    `static java.lang.String` | `KEY_UPS_SSO`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KEY_SIP_USERNAME

          public static final java.lang.String KEY_SIP_USERNAME

      See Also:
        Constant Field Values

    - #### KEY_SIP_PASSWORD

          public static final java.lang.String KEY_SIP_PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_SIP_CONTROLLER

          public static final java.lang.String KEY_SIP_CONTROLLER

      See Also:
        Constant Field Values

    - #### KEY_SIP_DOMAIN

          public static final java.lang.String KEY_SIP_DOMAIN

      See Also:
        Constant Field Values

    - #### KEY_SIP_HA1

          public static final java.lang.String KEY_SIP_HA1

      See Also:
        Constant Field Values

    - #### KEY_SSO_USERNAME

          public static final java.lang.String KEY_SSO_USERNAME

      See Also:
        Constant Field Values

    - #### KEY_SSO_PASSWORD

          public static final java.lang.String KEY_SSO_PASSWORD

      See Also:
        Constant Field Values

    - #### KEY_SSO

          public static final java.lang.String KEY_SSO

      See Also:
        Constant Field Values

    - #### KEY_ESM_SSO

          public static final java.lang.String KEY_ESM_SSO

      See Also:
        Constant Field Values

    - #### KEY_ACS_SSO

          public static final java.lang.String KEY_ACS_SSO

      See Also:
        Constant Field Values

    - #### KEY_EWS_SSO

          public static final java.lang.String KEY_EWS_SSO

      See Also:
        Constant Field Values

    - #### KEY_UPS_SSO

          public static final java.lang.String KEY_UPS_SSO

      See Also:
        Constant Field Values

    - #### KEY_ESM_ENABLED

          public static final java.lang.String KEY_ESM_ENABLED

      See Also:
        Constant Field Values

    - #### KEY_ACS_ENABLED

          public static final java.lang.String KEY_ACS_ENABLED

      See Also:
        Constant Field Values

    - #### KEY_EWS_ENABLED

          public static final java.lang.String KEY_EWS_ENABLED

      See Also:
        Constant Field Values

    - #### KEY_UPS_ENABLED

          public static final java.lang.String KEY_UPS_ENABLED

      See Also:
        Constant Field Values

    - #### KEY_ACTIVE_SDK_PHONE_APP

          public static final java.lang.String KEY_ACTIVE_SDK_PHONE_APP

      See Also:
        Constant Field Values

    - #### KEY_PKCS12_CERTIFICATE

          public static final java.lang.String KEY_PKCS12_CERTIFICATE

      See Also:
        Constant Field Values

    - #### KEY_PKCS12_PASSWORD

          public static final java.lang.String KEY_PKCS12_PASSWORD

      See Also:
        Constant Field Values